commit df3205097835c450a28f2a254a93cbf7215cd24c
parent 020a565f6a41e065c044fa359d4a2d65a09b93d4
Author: Andreas Guldstrand <andreas.guldstrand@gmail.com>
Date: Mon, 14 Dec 2015 15:43:27 +0100
Test missing deps in local overrides; see #19
Diffstat:
4 files changed, 25 insertions(+), 0 deletions(-)
diff --git a/t/LO/nonexistentslackbuild2/README b/t/LO/nonexistentslackbuild2/README
@@ -0,0 +1 @@
+This doesn't exist!
diff --git a/t/LO/nonexistentslackbuild2/nonexistentslackbuild2.SlackBuild b/t/LO/nonexistentslackbuild2/nonexistentslackbuild2.SlackBuild
@@ -0,0 +1,7 @@
+#!/bin/bash
+PRGNAM="nonexistentslackbuild2"
+VERSION=${VERSION:-1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+OUTPUT=${OUTPUT:-/tmp}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-noarch-$BUILD$TAG.tgz
diff --git a/t/LO/nonexistentslackbuild2/nonexistentslackbuild2.info b/t/LO/nonexistentslackbuild2/nonexistentslackbuild2.info
@@ -0,0 +1,10 @@
+PRGNAM="nonexistentslackbuild2"
+VERSION="1.0"
+HOMEPAGE="http://www.example.com"
+DOWNLOAD="http://www.pastemobile.org/perf.dummy"
+MD5SUM="9cba6c70fb57a22a155073d54748b614"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="nonexistentslackbuild3"
+MAINTAINER="Andreas Guldstrand"
+EMAIL="doesnt@matter.org"
diff --git a/t/travis.sh b/t/travis.sh
@@ -42,3 +42,10 @@ run sbocheck
WC=$(wc -l /var/log/sbocheck.log)
[ "$WC" = "1 /var/log/sbocheck.log" ]
run sboupgrade -r nonexistentslackbuild
+
+# Test missing dep
+(
+ run sboinstall nonexistentslackbuild2 <<END
+y
+END
+) || [ "$?" = "1" ]